#!/usr/bin/env perl

use strict;
use warnings;

use Data::Dumper;

use POE qw(Component::IRC Queue::Array);

use lib './lib';

use Getopt::Long;

use BotConfig;
BEGIN {
    my $env = "dev";
    GetOptions("env=s", \$env);
    BotConfig->initialize(env => $env);
};

use IRC;
use BotSync;
use MangaParse;
use DB;

my $ses = POE::Session->create(
    package_states => [
        main => [qw(_start)],
    ],
);

sub _start {
    my $kernel = $_[KERNEL];

    #what should this do?
}

POE::Kernel->run();

