--
-- PostgreSQL database dump
--

-- Started on 2009-06-04 11:43:57 EDT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1490 (class 1259 OID 32783)
-- Dependencies: 1759 3
-- Name: channelsetup; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE channelsetup (
    channel text NOT NULL,
    stripcolors boolean DEFAULT false
);


ALTER TABLE public.channelsetup OWNER TO ryan;

--
-- TOC entry 1764 (class 0 OID 32783)
-- Dependencies: 1490
-- Data for Name: channelsetup; Type: TABLE DATA; Schema: public; Owner: ryan
--

COPY channelsetup (channel, stripcolors) FROM stdin;
#dctp	f
#goshoproject	f
\.


--
-- TOC entry 1761 (class 2606 OID 32791)
-- Dependencies: 1490 1490
-- Name: channelsetup_channel_key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY channelsetup
    ADD CONSTRAINT channelsetup_channel_key UNIQUE (channel);


--
-- TOC entry 1763 (class 2606 OID 32793)
-- Dependencies: 1490 1490
-- Name: channelsetup_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY channelsetup
    ADD CONSTRAINT channelsetup_pkey PRIMARY KEY (channel);


-- Completed on 2009-06-04 11:43:57 EDT

--
-- PostgreSQL database dump complete
--

