#!/usr/bin/perl

use strict;
use warnings;

use Text::CSV;
use Data::Dumper;

use DBI;

my $dbh = DBI->connect( "dbi:Pg:dbname=quotebot;host=localhost",
    "ryan", "", { RaiseError => 0 } );

my $csv = Text::CSV->new( { blank_is_undef => 1 } );
open( my $csvfh, "<", "triggers.csv" );

$_ = <$csvfh>;    #skip first line, easiest way to do it

#$dbh->do("START TRANSACTION");
my $sth =
  $dbh->prepare("INSERT INTO triggers (tid,trigger,counter) VALUES (?, ?, ?)");

while ( my $line = <$csvfh> ) {
    $csv->parse($line);
    my %episode;
    print Dumper( [ $csv->fields() ] );
    @episode{qw/tid trigger counter/} = $csv->fields();
    print Dumper( \%episode );
    $sth->execute( @episode{qw/tid trigger counter/} );
}

#$dbh->do("COMMIT");
