--
-- PostgreSQL database dump
--

-- Started on 2009-06-04 11:47:51 EDT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1485 (class 1259 OID 16421)
-- Dependencies: 3
-- Name: tidsources; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE tidsources (
    sid integer NOT NULL,
    tid integer NOT NULL
);


ALTER TABLE public.tidsources OWNER TO ryan;

--
-- TOC entry 1763 (class 0 OID 16421)
-- Dependencies: 1485
-- Data for Name: tidsources; Type: TABLE DATA; Schema: public; Owner: ryan
--

COPY tidsources (sid, tid) FROM stdin;
1	1
2	2
3	3
21	29
2	4
2	5
4	6
5	7
6	9
7	10
9	11
10	12
11	13
12	14
13	15
14	1
14	16
1	17
14	18
11	19
666	20
667	21
15	22
3	23
16	24
17	25
19	27
20	28
22	30
23	31
23	32
24	33
25	34
26	35
27	37
28	38
3	39
29	40
31	42
31	23
32	43
33	44
34	45
35	45
37	47
38	48
39	50
40	51
\.


--
-- TOC entry 1760 (class 2606 OID 16488)
-- Dependencies: 1485 1485 1485
-- Name: tidsources_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT tidsources_pkey PRIMARY KEY (sid, tid);


--
-- TOC entry 1761 (class 2606 OID 16426)
-- Dependencies: 1485 1484
-- Name: sources; Type: FK CONSTRAINT; Schema: public; Owner: ryan
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT sources FOREIGN KEY (sid) REFERENCES sources(sid);


--
-- TOC entry 1762 (class 2606 OID 16431)
-- Dependencies: 1485 1483
-- Name: triggers; Type: FK CONSTRAINT; Schema: public; Owner: ryan
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT triggers FOREIGN KEY (tid) REFERENCES triggers(tid);


-- Completed on 2009-06-04 11:47:51 EDT

--
-- PostgreSQL database dump complete
--

