#!/usr/bin/perl

use strict;

#use warnings;

use Data::Dumper;

use DBI;

my $dbh = DBI->connect( "dbi:Pg:dbname=quotebot;host=andromeda128",
    "conanquotes", "conanquotes", { RaiseError => 1 } );

my %vars = ( QUOTECOUNTS => "", QUOTES => "", TRIGGER => "" );
my $sth;

$sth =
  $dbh->prepare('SELECT * FROM episodeinfo WHERE eid < 1000 ORDER BY eid ASC');
$sth->execute();

#[17:25:53] <Xoph> epnumber, title, fansub, size, codec, crc, mu, file comment
#      Episode
#      Title
#      Fansubbed By
#      Airdate
#      Audience Share

while ( my $row = $sth->fetchrow_hashref() ) {
    $vars{TRIGGER} .= "<tr><td>" . sprintf( "%03d", $row->{eid} ) . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{title} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{group} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{fsize} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{fcodec} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{fcrc} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{filelink} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{fcomment} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{airdate} . "<br></td>";
    $vars{TRIGGER} .= "<td>" . $row->{ratings} . "<br></td></tr>\n";
}

while (<DATA>) {
    s/%%([^%]+)%%/$vars{$1}/eg;    #too poor

    print;
}

__DATA__
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <title>Jd-</title>
</head>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2"
 cellspacing="2">
  <tbody>
    <tr>
<!--#[17:25:53] <Xoph> epnumber, title, fansub, size, codec, crc, mu, file comment -->
      <td style="vertical-align: top;">Episode<br>
      </td>
      <td style="vertical-align: top;">Title<br>
      </td>
      <td style="vertical-align: top;">Fansubbed By<br>
      </td>
      <td style="vertical-align: top;">Size<br>
      </td>
      <td style="vertical-align: top;">Codec<br>
      </td>
      <td style="vertical-align: top;">CRC<br>
      </td>
      <td style="vertical-align: top;">DDL link<br>
      </td>
      <td style="vertical-align: top;">File Comment<br>
      </td>      
      <td style="vertical-align: top;">Airdate<br>
      </td>
      <td style="vertical-align: top;">Audience Share<br>
      </td>
    </tr>
%%TRIGGER%%</table>
</body>
</html>
