--
-- PostgreSQL database dump
--

-- Started on 2009-06-04 11:44:19 EDT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1491 (class 1259 OID 835692)
-- Dependencies: 3
-- Name: episodeinfo; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE episodeinfo (
    eid integer NOT NULL,
    title text,
    "group" text,
    fsize text,
    fcodec text,
    fcrc text,
    botlisting text,
    filelink text,
    airdate text,
    ratings text,
    epdesc text,
    fcomment text
);


ALTER TABLE public.episodeinfo OWNER TO ryan;

--
-- TOC entry 1764 (class 0 OID 0)
-- Dependencies: 1491
-- Name: TABLE episodeinfo; Type: COMMENT; Schema: public; Owner: ryan
--

COMMENT ON TABLE episodeinfo IS 'This table doesn''t get used by the bot, but does get used by the web interface so that its easier to have editing of episode information (e.g. links)';


--
-- TOC entry 1761 (class 0 OID 835692)
-- Dependencies: 1491
-- Data for Name: episodeinfo; Type: TABLE DATA; Schema: public; Owner: ryan
--

COPY episodeinfo (eid, title, "group", fsize, fcodec, fcrc, botlisting, filelink, airdate, ratings, epdesc, fcomment) FROM stdin;
1000	Luckily in 2020, if not, in 2021! ROFL	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
18	A June Bride Murder Case	Anime-Conan	184752128	\N	448DF412	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6G605I16	1996/Jun/03	14.6	\N	\N
20	A Haunted Mansion Murder Case	Anime-Conan	176623616	\N	2D43F421	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GOZS982G	1996/Jun/17	14.3	\N	\N
23	Luxury Liner Serial Murder Case (Part 2)	Anime-Conan	181422080	\N	3CF3292F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=85SQC52V	1996/Jul/08	13.4	\N	\N
24	The Mysterious Woman With Amnesia Case	Anime-Conan	176144384	\N	03796898	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LSCARIGE	1996/Jul/15	14.4	\N	\N
25	The False Kidnapping and Hostage Case	Anime-Conan	183560192	\N	2A9B7781	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HJ4W640R	1996/Jul/22	16.2	\N	\N
27	Kogoro's Class Reunion Murder Case (Part 1)	Anime-Conan	176205824	\N	29D2940D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=H0FP6DJ0	1996/Aug/05	13.4	\N	\N
29	Computer Murder Case	Anime-Conan	177643520	\N	33EBDD5A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J6761RBU	1996/Aug/19	12.9	\N	\N
12	Ayumi-chan's Kidnapping Case	Anime-Conan	242184192	\N	1CAD6E80	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6UND4CO7	1996/Apr/15	13.6	\N	\N
31	The TV Station Murder Case	Anime-Conan	177997824	\N	B8B3F6E3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4E12XTWY	1996/Sep/02	13.2	\N	\N
32	Coffee Shop Murder Case	Anime-Conan	177635328	\N	FDA732D5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z1RE0MSR	1996/Sep/09	14.3	\N	\N
33	Detective Boys' Survival Case	Anime-Conan	193406976	\N	A1859733	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6HWCHW8B	1996/Oct/14	14.7	\N	\N
35	The Mountain Villa Bandaged Man Murder Case (Part 2)	Anime-Conan	159428608	\N	0BE30950	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=D11VYCAF	1996/Oct/28	18.7	\N	\N
36	Monday Night 7:30 PM Murder Case	Anime-Conan	172548096	\N	A22525D9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L6EXC2I8	1996/Nov/04	17	\N	\N
39	The Wealthy Daughter Murder Case (Part 1)	Anime-Conan	170817536	\N	A20A5263	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PR763ILT	1996/Nov/25	17.4	\N	\N
40	The Wealthy Daughter Murder Case (Part 2)	Anime-Conan	148297728	\N	FE7BD853	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O4ILX6WI	1996/Dec/02	17.1	\N	\N
15	Missing Corpse Murder Case	Anime-Conan	219609088	\N	0CCDA374	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U97TA94I	1996/May/13	13.9	\N	\N
16	The Antique Collector Murder Case	Anime-Conan	194754560	\N	29EC415E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8V3NYM06	1996/May/20	12.3	\N	\N
17	Department Store Highjacking Case	Anime-Conan	189685760	\N	C3D57183	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NWQG66H3	1996/May/27	15.7	\N	\N
41	The Victory Flag Vandalism Case	Anime-Conan	181055488	\N	35B2122D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2SAELOC5	1996/Dec/09	17.6	\N	\N
42	A Karaoke Box Murder Case	Anime-Conan	167753728	\N	9B7C6A45	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=JBOJYDEL	1996/Dec/16	17.5	\N	\N
11	Moonlight Sonata Murder Case (1 Hour Special)	Anime-Conan	421623808	\N	FE40A4FC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YYSJWREH	1996/Apr/08	12.9	\N	\N
45	Facial Pack Murder Case	Anime-Conan	177774592	\N	76BC4D37	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=IOTTJEU2	1997/Jan/27	17	\N	\N
48	The Diplomat Murder Case (Part 1)	Anime-Conan	174835712	\N	C4DEA49E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BC8YNQJU	1997/Feb/17	19	\N	\N
49	The Diplomat Murder Case (Part 2)	Anime-Conan	180359302	\N	BBC1768D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ITDPSNQ6	1997/Feb/24	18.2	\N	\N
50	Library Murder Case	Anime-Conan	176149358	\N	44495EDE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J2YTU22N	1997/Mar/03	16.8	\N	\N
53	The Mystery Weapon Murder Case	Anime-Conan	181192780	\N	8678BAEF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=IEFDYL0P	1997/Apr/07	17.3	\N	\N
54	A Game Company's Murder Case	Anime-Conan	179833748	\N	1DCAD67E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QS8DSH1N	1997/Apr/14	19.1	\N	\N
56	The Ojamanbou Murder Case	Anime-Conan	180352482	\N	2A8770F5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8LO064MN	1997/Apr/28	17.6	\N	\N
57	Holmes Freak Murder Case (Part 1)	Anime-Conan	180351034	\N	EAAEB05D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3PZLNP6D	1997/May/05	16	\N	\N
58	Holmes Freak Murder Case (Part 2)	Anime-Conan	180355900	\N	818D5D25	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OYD3IWD3	1997/May/12	16.5	\N	\N
60	An Illustrator Murder Case	Anime-Conan	180230464	\N	9A37D2D8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=F56LDHI6	1997/May/26	19.5	\N	\N
62	A Ghost Ship Murder Case (Part 2)	Anime-Conan	180350050	\N	217D9718	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=USERWWKU	1997/Jun/09	20.8	\N	\N
63	Big Monster Gomera Murder Case	Anime-Conan	180322746	\N	DC7F5E02	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NG70QR6B	1997/Jun/16	17.7	\N	\N
170	The Unseen Angle of the Darkness (Part 1)	KnKF	183506944	\N	91509B90	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ACBEDL2X	1999/Nov/29	17.5	\N	\N
279	Hooligan's Labyrinth (Part 1)	\N	\N	\N	\N	\N	\N	2002/May/27	16.7	\N	\N
280	Hooligan's Labyrinth (Part 2)	\N	\N	\N	\N	\N	\N	2002/Jun/03	17.2	\N	\N
289	Mitsuhiko's Mystifying Forest (Part 1)	\N	\N	\N	\N	\N	\N	2002/Aug/05	15	\N	\N
9	Tenkaichi Night Festival Murder Case	Anime-Conan	219484160	\N	20E49285	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BVKTFZOA (filename is wrong)	1996/Mar/04	13	\N	\N
6	Valentine Murder Case	Anime-Conan	220184576	\N	5A16D9BA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CKXTALOW	1996/Feb/12	12	\N	\N
8	Art Gallery Owner Murder Case	Anime-Conan	219418624	\N	B70E0F42	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9F42IPDJ	1996/Feb/26	13.1	\N	\N
79	The Bank Heist Murder Case	Anime-Conan	180353148	\N	B266E4D0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=B9NJB8GD	1997/Nov/03	18.9	\N	\N
82	The Kidnapping of a Popular Artist Case (Part 2)	Anime-Conan	180356402	\N	A271CDFA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KJC3ULGV	1997/Nov/24	20.6	\N	\N
137	The Old Castle Investigation Case (Part 2)	NEG	180373504	\N	B202E1CF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6UPX0HZC	1999/Mar/08	23.4	\N	\N
83	General Hospital Murder Case	Anime-Conan	180360480	\N	3D9F6B92	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3DF5IC1P	1997/Dec/01	23.1	\N	\N
84	Ski Lodge Murder Case (Part 1)	Anime-Conan	180357308	\N	53BAF26F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ESYY3G20	1997/Dec/08	19.7	\N	\N
87	The Crane's Return of a Favor Murder Case	Anime-Conan	180358308	\N	D5C714FA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4NPFNWC5	1998/Jan/19	20.8	\N	\N
89	Dracula Villa Murder Case (Part 2)	Anime-Conan	180355422	\N	C27DBA8F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4CM6A2YJ	1998/Feb/02	20	\N	\N
91	Hospitalized Burgulary Suspect Case	Anime-Conan	180360278	\N	A6F17D48	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EX81RRHO	1998/Feb/16	21.5	\N	\N
94	Snow Woman Legend Murder Case	Anime-Conan	180985238	\N	FA49D107	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MTI2OXTQ	1998/Mar/09	21.2	\N	\N
97	The Farewell Wine Murder Case	Anime-Conan	180370406	\N	13C8C197	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SSST14EL	1998/Apr/13	20.1	\N	\N
100	The Memories of First Love Case (Part 1)	Anime-Conan	180288822	\N	D0B6ADD7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VX424LNO	1998/May/11	20.3	\N	\N
101	The Memories of First Love Case (Part 2)	Anime-Conan	180284730	\N	341DDDE3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8DZRYMEO	1998/May/18	19.5	\N	\N
102	Historical Play Performer Murder Case (Part 1)	Anime-Conan	180013280	\N	9E98E939	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OA5UKMJK	1998/May/25	17.7	\N	\N
105	The Mysterious Robbers and Mansion Case (Part 2)	Anime-Conan	180377476	\N	B3A96D15	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=5TSZUKU8	1998/Jun/15	19.1	\N	\N
106	Scoop Picture Murder Case	Anime-Conan	180352866	\N	766C8E09	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=WFMRQGLG	1998/Jun/22	19.8	\N	\N
117	The Missing Mystery Writer Case (Part 2)	FakeEnglishGuys	182871129	\N	DB054B27	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UTL0TENA	1998/Sep/21	17.4	\N	\N
124	A Mysterious Sniper Murder Case (Part 1)	FakeEnglishGuys	181912121	\N	836A4378	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YPWEYXRP	1998/Nov/16	19.9	\N	\N
133	Magic Lover's Murder Case (Part 2: The Suspicion)	NEG	180557824	\N	38D5C23A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MNCPBWJ5	1999/Feb/01	21.2	\N	\N
135	The Search for the Disappearing Weapon Case	NEG	180490240	\N	26D6AA65	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=F5L55OUZ	1999/Feb/15	22.6	\N	\N
136	The Old Castle Investigation Case (Part 1)	NEG	180436992	\N	4DE982A2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LYHQL67Y	1999/Feb/22	22.8	\N	\N
139	The Final Screening Murder Case (Part 2)	NEG	180381696	\N	38D8DC20	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=V168JTM1	1999/Apr/05	21.3	\N	\N
140	SOS! A Messages from Ayumi	NEG	185886720	\N	BCD9D3C8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z9JZ6TO5	1999/Apr/12	18.4	\N	\N
72	The Triplet's Country Home Murder Case	Anime-Conan	180360532	\N	40AF4685	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9FASBCOU	1997/Aug/18	18.3	\N	\N
225	The Secret of the High Sales	\N	\N	\N	\N	\N	\N	2001/Feb/19	21.6	\N	\N
294	Smash of Love and Determination (Part 1)	\N	\N	\N	\N	\N	\N	2002/Sep/09	16.7	\N	\N
295	Smash of Love and Determination (Part 2)	\N	\N	\N	\N	\N	\N	2002/Sep/16	16.6	\N	\N
296	Houseboat Fishing Shock	\N	\N	\N	\N	\N	\N	2002/Oct/14	15.4	\N	\N
297	Courtroom Confrontation 2: Kisaki VS Kujo Reiko (Part 1)	\N	\N	\N	\N	\N	\N	2002/Oct/21	16.9	\N	\N
73	The Detective Boys' Disaster Case	Anime-Conan	180296938	\N	147B553B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MW2SMVKF	1997/Aug/25	18.8	\N	\N
78	A Distinguished Family's Consecutive Accidental Death Case (Part 2)	Anime-Conan	180353730	\N	6D09EB18	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=REZYE1ZJ	1997/Oct/27	19.8	\N	\N
298	Courtroom Confrontation 2: Kisaki VS Kujo Reiko (Part 2)	\N	\N	\N	\N	\N	\N	2002/Oct/28	16.8	\N	\N
303	The Victim who Came Back	\N	\N	\N	\N	\N	\N	2002/Dec/09	16.4	\N	\N
305	Unseen Suspect (Part 1)	\N	\N	\N	\N	\N	\N	2003/Jan/13	15.4	\N	\N
388	Kogoro Gets Drunk in Satsuma (Part 1)	\N	\N	\N	\N	\N	\N	2005/Feb/14	12.3	\N	\N
409	The Simultaneous Stage Advance and Kidnapping (Part 1)	\N	\N	\N	\N	\N	\N	2005/Aug/08	8.7	\N	\N
410	The Simultaneous Stage Advance and Kidnapping (Part 2)	\N	\N	\N	\N	\N	\N	2005/Aug/15	10.3	\N	\N
413	The Half Completed Crime Mystery	\N	\N	\N	\N	\N	\N	2005/Sep/05	10.1	\N	\N
414	The Detective Boys' Bluebird Chase	\N	\N	\N	\N	\N	\N	2005/Sep/12	12.6	\N	\N
419	Sword of the Eight-headed Serpent (Part 1)	\N	\N	\N	\N	\N	\N	2005/Nov/07	11.2	\N	\N
420	Sword of the Eight-headed Serpent (Part 2)	\N	\N	\N	\N	\N	\N	2005/Nov/14	10.7	\N	\N
423	Detective Boys and the Four Aomushi Brothers	\N	\N	\N	\N	\N	\N	2005/Dec/05	10.8	\N	\N
433	Conan: A Strange Child	\N	\N	\N	\N	\N	\N	2006/Mar/06	10	\N	\N
434	The Famous Dog Coeur's Achievement	\N	\N	\N	\N	\N	\N	2006/Apr/10	7.7	\N	\N
437	Aya Ueto & Shinichi: The Promise from 4 Years Ago	\N	\N	\N	\N	\N	\N	2006/May/08	12	\N	\N
439	And It'd Be Nice If Everybody Disappeared	\N	\N	\N	\N	\N	\N	2006/May/22	10.5	\N	\N
440	The Car Stunt's Utmost Limit	\N	\N	\N	\N	\N	\N	2006/May/29	11.6	\N	\N
67	Stage Actress Murder Case	Anime-Conan	180348068	\N	F9104ADF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=IPMMRSZ9	1997/Jul/14	19.3	\N	\N
68	The Night Baron Murder Case (Part 1: The Case)	Anime-Conan	180346538	\N	4588DDEC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LP0UI2C7	1997/Jul/21	17.5	\N	\N
71	A Stalker's Murder Case	Anime-Conan	180350136	\N	B2E178E7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2FM27B3R	1997/Aug/11	13.2	\N	\N
177	Meeting with the Black Organization Again (Part 2)	KnKF	183465984	\N	CAC93F36	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=1JLQUO24	2000/Jan/24	18.8	\N	\N
150	The Truth of the Exploding Car Case (Part 1)	NEG	181295104	\N	119A37EC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9WCCM6A3	1999/Jun/28	17.2	\N	\N
181	The Nocturne of the Red Murderous Intent (Part 2)	KnKF	183455744	\N	BEAADFE6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=1AKWPDXL	2000/Feb/21	20.1	\N	\N
183	A Dangerous Receipe	KnKF	183449600	\N	776F6CDC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6WD0BY0X	2000/Mar/06	19.5	\N	\N
184	A Cursed Mask Coldly Laughs (1 Hour Special)	KnKF	367001600	\N	5FD4A836	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RAOFVDGT	2000/Mar/13	20.1	\N	\N
185	The Murdered Famous Detective (Part 1)	KnKF	183556096	\N	BF7F4950	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=APMK65WD	2000/Apr/10	16.2	\N	\N
149	The Amusement Park Bungee Jumping Case	NEG	184733696	\N	3C7D7980	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6F440EZV	1999/Jun/21	19.3	\N	\N
188	The Desperate Revival: The Cavern of the Detective Boys	KnKF	183506944	\N	34FF1167	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0N2FRSUU	2000/May/01	19.8	\N	\N
190	The Desperate Revival: The Third Choice	KnKF	183455744	\N	901B0ABA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=607XFTXH	2000/May/15	19.8	\N	\N
191	The Desperate Revival: The Black Knight	KnKF	183457792	\N	C17911F7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7Z33C4KB	2000/May/22	20.2	\N	\N
215	The Bay of Revenge (Part 1)	\N	\N	\N	\N	\N	\N	2000/Nov/27	17.9	\N	\N
194	The Significant Music Box (Part 1)	KnKF	183498752	\N	9B96FE12	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QDC18R9M	2000/Jun/12	19.3	\N	\N
146	The Metropolitan Police Detective Love Story (Part 1)	NEG	183953408	\N	0AF8635A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PKESM38F	1999/May/31	21	\N	\N
195	The Significant Music Box (Part 2)	KnKF	183474176	\N	8515BF23	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4J3V9964	2000/Jun/19	18.9	\N	\N
9000	Conan will not be going over 9000 any time soon	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
197	A Super Car's Trap (Part 1)	KnKF	179767296	\N	98765DA0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0LFF6WRK	2000/Jul/03	16.3	\N	\N
199	Kogoro Mouri, Suspect (Part 1)	KnKF	180668416	\N	FB11F027	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4UAUCXN6	2000/Jul/17	18.7	\N	\N
216	The Bay of Revenge (Part 2)	\N	\N	\N	\N	\N	\N	2000/Dec/04	18.1	\N	\N
201	The Tenth Passenger (Part 1)	KnKF	179666944	\N	CBD8A729	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=TIWAA3M0	2000/Jul/31	19.2	\N	\N
214	The Mysterious Retro Room Case	AZFS	187203584	\N	9AFE4475	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=T3PYTNE8	2000/Nov/20	19.4	\N	Please join #AZFS if you are not already there
202	The Tenth Passenger (Part 2)	KnKF	180205568	\N	A55E8074	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UTRHB4Z2	2000/Aug/07	16.7	\N	\N
204	The Black Wings of Icarus (Part 2)	DCTP	366989312	\N	57A97A97	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0JDG3QQU (Contains both 203 and 204)	2000/Aug/21	18.7	\N	\N
152	The Mysterious Old Man Disappearance Case	NEG	181340160	\N	1D95568B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J4H708M4	1999/Jul/12	19.6	\N	\N
207	The Deduction That Was Too Good	AZFS	180729856	\N	AC7A59A3	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=TN5B3HUC	2000/Sep/11	21.4	\N	Please join #AZFS if you are not already there
153	Sonoko's Dangerous Summer Story (Part 1)	NEG	181954560	\N	20F59BCF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0MQIQ6JM	1999/Jul/19	18.3	\N	\N
210	The Water Palace of Five Colors (Part 1)	BG/DCF	178693270	\N	9B826A8A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Y7G3C9DQ	2000/Oct/23	19.6	\N	\N
158	The Silent Kanjo Line	NEG	180064256	\N	3576093A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GT32JV20	1999/Sep/06	17.8	\N	\N
159	The Legend of the Mysterious Pagoda (Part 1)	GamesSmash	88142333	\N	584A2EBF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PN2M7WCJ	1999/Sep/13	19.3	\N	\N
160	The Legend of the Mysterious Pagoda (Part 2)	GamesSmash	114627040	\N	B79A77D2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=AX31KV10	1999/Sep/20	17.7	\N	\N
163	The Secret of the Moon, the Star, and the Sun (Part 1)	KnKF	183529472	\N	E5CF4EC7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I516EREH	1999/Oct/11	17.3	\N	\N
148	The Sudden Streetcar Stopping Case	NEG	182927360	\N	F6A8EBAB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HMAOYTT1	1999/Jun/14	19.7	\N	\N
165	The Case of Disappearing Detective Boys	KnKF	183552000	\N	62E3F9FC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=AJ8KCHGP	1999/Oct/25	18	\N	\N
167	The Monster of the Tottori Spider Mansion (Part 2: The Suspicion)	KnKF	183488512	\N	2C304964	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MBN4VLF0	1999/Nov/08	17.7	\N	\N
169	Venus' Kiss	KnKF	183506944	\N	5DC05E70	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7YQV7CQL	1999/Nov/22	18.1	\N	\N
171	The Unseen Angle of the Darkness (Part 2)	KnKF	170264576	\N	455414B1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BFQCBNL6	1999/Dec/06	17.9	\N	\N
173	The Revival of the Dying Message (Part 2)	KnKF	183478272	\N	F419783C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MD4CWP7D	1999/Dec/20	15.9	\N	\N
175	The Man Who Was Killed Four Times	KnKF	183504896	\N	2661B1FC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=JTKCG6FW	2000/Jan/10	18	\N	\N
178	Meeting with the Black Organization Again (Part 3)	KnKF	183453696	\N	E09CEDF2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NCOJLSZI	2000/Jan/31	19.5	\N	\N
211	The Water Palace of Five Colors (Part 2)	BG/DCF	178981914	\N	EE5A4E84	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4ACS5KZX	2000/Oct/30	20.4	\N	\N
243	Mori Kogoro's Imposter (Part 1)	\N	\N	\N	\N	\N	\N	2001/Jul/23	19.7	\N	\N
250	The Idol Stars' Secret (Part 2)	AZFS	Not Yet Subbed	\N	\N	/msg [AZFS]Releases xdcc list	\N	2001/Sep/10	20.9	\N	Please join #AZFS if you are not already there
258	The Man from Chicago (Part 1)	Kaizou	180764672	\N	DBE80602	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I1TNU2TJ	2001/Nov/19	19.3	\N	\N
260	The Shaking Restaurant	\N	\N	\N	\N	\N	\N	2001/Dec/03	17.3	\N	\N
264	The Courtroom Battle: Kisaki VS Kogoro (Part 1)	Yami	199204694	\N	7BC84F90	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0XU8I92W	2002/Jan/14	17.8	\N	\N
266	The Truth Behind Valentine's (Part 1: The Murder)	Kienai	180369859	\N	F844C1E5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LKAQ7XU0	2002/Jan/28	20.4	\N	\N
224	And Then There Were No Mermaids (Part 3: The Solution)	DCTP	360525824	\N	1388584C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VVHLEWU5 (Contains 222, 223 and 224)	2001/Feb/12	19.9	\N	\N
268	The Truth Behind Valentine's (Part 3: The Solution)	Kienai	180380076	\N	87E57591	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DM8BFEBE	2002/Feb/11	21.2	\N	\N
271	Secret Rushed Omission (Part 1)	Kaizou	180662272	\N	7557DBA3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SVIFZO2F	2002/Mar/11	19.6	\N	\N
274	Truth About the Haunted House (Part 1)	FakeEnglishGuys	171167215	\N	BC29428B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FUINMNMJ	2002/Apr/15	17.8	\N	\N
226	The Battle Game Trap (Part 1)	Kaizou	181128746	\N	D75485F6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CHOWE04N	2001/Feb/26	20.9	\N	\N
228	The Murderous Pottery Class (Part 1)	AZFS	182106112	\N	BEF9F901	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=VCKK5D9I	2001/Mar/12	19.4	\N	Please join #AZFS if you are not already there
281	The Small Eye Witnesses	\N	\N	\N	\N	\N	\N	2002/Jun/10	13.2	\N	\N
286	Kudo Shinichi's NY Case (Part 1)	Kaizou	235878400	\N	28AA5843	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=TRM8US8K	2002/Jul/15	17.3	\N	\N
229	The Murderous Pottery Class (Part 2)	AZFS	181010432	\N	74838EC0	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=LZFUEP0N	2001/Mar/19	19.8	\N	Please join #AZFS if you are not already there
287	Kudo Shinichi's NY Case (Part 2)	Kaizou	236236800	\N	3813C54A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=E1510SHN	2002/Jul/22	16.5	\N	\N
291	Solitary Island of the Princess and the Dragon King's Palace (Part 1)	GinRei	183222272	\N	BB65FE79	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FEG0XW1N	2002/Aug/19	17	\N	\N
301	Parade of Malice and Saint (Part 1)	DCTP	359329792	\N	3722E962	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K8TYY6KD (Contains both 301 and 302)	2002/Nov/25	15.4	\N	\N
230	The Mysterious Passenger (Part 1)	Kaizou	180535878	\N	5F262FF3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I34X2C0R	2001/Apr/16	18.4	\N	\N
232	The Falling Off the Condo Case	\N	\N	\N	\N	\N	\N	2001/May/07	15.8	\N	\N
234	The Evidence That Didn't Disappear (Part 2)	\N	\N	\N	\N	\N	\N	2001/May/21	19.5	\N	\N
235	The Locked Wine Cellar	AZFS/BG	178956904	\N	B1F1C7CC	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=NQPD5QFW	2001/May/28	17.8	\N	Please join #AZFS if you are not already there
236	The Nanki Beach Mystery Tour (Part 1)	\N	\N	\N	\N	\N	\N	2001/Jun/04	14.7	\N	\N
240	The Bullet Train Transport Case (Part 1)	DCTP	179060736	\N	2B3050BE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EMNJ2BXX	2001/Jul/02	17	\N	\N
339	Four Porsche's (Part 2)	DCTP	181161984	\N	C8667C21	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J4L5N6UL	2003/Oct/27	11.7	\N	\N
326	Red Horse Inside the Flame (Part 2: The Investigation)	Kienai	180417384	\N	0C548183	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=1KMGD5JE	2003/Jun/29	14.8	\N	\N
342	The Bride of Huis Ten Bosch (1 Hour Special)	\N	\N	\N	\N	\N	\N	2003/Nov/17	12.9	\N	\N
327	Red Horse Inside the Flame (Part 3: The Solution)	Kienai	180510926	\N	6368787E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VAD4JX9O	2003/Jul/07	16	\N	\N
357	Sweetheart is an Illusion of Spring	\N	\N	\N	\N	\N	\N	2004/Apr/26	12.4	\N	\N
328	Mystery of the Birthday Wine	AZFS	179988480	\N	690B685D	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=A6RHA27K	2003/Jul/14	14.2	\N	Please join #AZFS if you are not already there
363	The City's Crows	KnKF	183545856	\N	40161E8E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2HCRHPJH	2004/Jun/07	11.5	\N	\N
364	Synchronicity Case (Part 1)	KnKF	184987648	\N	4988B7A3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=146OQKKO	2004/Jun/14	13.1	\N	\N
317	The Tarnished Masked Hero (Part 2)	FakeEnglishGuys	363858659	\N	5D8FFF98	/msg [DCTP]Archive xdcc send 1	\N	2003/Apr/28	15	\N	\N
329	A Friendship That Can't Be Bought (Part 1)	DCTP	180422656	\N	FDFCDF93	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=B7ZZKGW9	2003/Jul/28	16	\N	\N
306	Unseen Suspect (Part 2)	\N	\N	\N	\N	\N	\N	2003/Jan/20	16.2	\N	\N
308	The Dark Footprint (Part 2)	Kaizou	236984320	\N	D9C056A4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LQO8YCI6	2003/Feb/03	16.2	\N	\N
312	Festival Dolls Dyed in the Setting Sun (Part 1)	\N	\N	\N	\N	\N	\N	2003/Mar/03	16.1	\N	\N
344	The Convenience Store Trap (Part 2)	DCTP	180123648	\N	7D7E0B51	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SXGIGHCO	2003/Dec/08	16	\N	\N
347	Find the Buttocks' Mark! (Part 2)	DCTP	180383744	\N	A72565FA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=5V8M3BE1	2004/Jan/19	14.7	\N	\N
666	Conan's Halloween Special (real title TBA)	\N	\N	\N	\N	\N	\N	2012/Oct/31	\N	\N	\N
316	The Tarnished Masked Hero (Part 1)	FakeEnglishGuys	363858659	\N	5D8FFF98	/msg [DCTP]Archive xdcc send 1	\N	2003/Apr/21	15.4	\N	\N
324	Hattori Heiji's Desperate Situation! (Part 2)	Kaizou	181217280	\N	1FEAACB0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=V0AHJVVG	2003/Jun/16	15.6	\N	\N
355	A Small Client (Part 2)	DCTP	180836352	\N	ABD88C9C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R9XTOOPI	2004/Mar/15	13	\N	\N
360	A Mysterious Spring Beetle	\N	\N	\N	\N	\N	\N	2004/May/17	13.7	\N	\N
361	Teitan High School's Ghost Story (Part 1)	Shifa	113344512	\N	BF4F4D29	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=T02ZTT67	2004/May/24	14	\N	\N
362	Teitan High School's Ghost Story (Part 2)	Shifa/KnKF	186417152	\N	5ABF0899	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K109XSF8	2004/May/31	13.1	\N	\N
367	The Tradegy of the Pier in Plain Sight (Part 2)	KnKF	184129536	\N	7A27E55A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZK7RQE7L	2004/Jul/12	13	\N	\N
369	The Lucky Man's Suspense	KnKF	184125440	\N	9788B705	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=55G7218D	2004/Aug/02	13.7	\N	\N
372	A Course Without Protest (Part 2)	KnKF	179200000	\N	708F0077	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=JWJZ3VW1	2004/Aug/30	13.1	\N	\N
373	Poisonous Spider Trap	KnKF	179783680	\N	FA170B2B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=10MR33YL	2004/Sep/06	12.6	\N	\N
376	Time Limit is 3 o'clock	KnKF	180314112	\N	F032D0F7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U06LB4Q8	2004/Nov/01	12.4	\N	\N
378	Momotarou Mystery Solving Tour (Part 2)	DCTP	181344256	\N	0DE1791E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4C386X4Z	2004/Nov/15	15	\N	\N
381	Which One's Reasoning Show? (Part 1)	DCTP	179984384	\N	8D3B781E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RKJBYG90	2004/Dec/06	13.5	\N	\N
382	Which One's Reasoning Show? (Part 2)	DCTP	180275200	\N	C6E445F4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=D011VQZZ	2004/Dec/13	12.8	\N	\N
384	The Target is Mouri Kogoro	B-Org	184412756	\N	E343A077	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=20Z852GR	2005/Jan/17	11.7	\N	\N
386	The Dissonance of the Stradivarius (Part 2: Interlude)	DCTP	180338688	\N	D8475642	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8TFBEXT3	2005/Jan/31	12.4	\N	\N
389	Kogoro Gets Drunk in Satsuma (Part 2)	\N	\N	\N	\N	\N	\N	2005/Feb/21	12.9	\N	\N
442	The Man Obstructed by the Steel Frame	\N	\N	\N	\N	\N	\N	2006/Jun/12	10.5	\N	\N
461	The Vanished 1 Page	\N	\N	\N	\N	\N	\N	2007/Jan/22	9.8	\N	\N
475	Bad Luck Grand Prix	\N	\N	\N	\N	\N	\N	2007/Jun/18	10	\N	\N
481	The Cutlery of the Mountain Witch (Part 1)	\N	\N	\N	\N	\N	\N	2007/Jul/30	8.8	\N	\N
483	The Vanished Policeman	\N	\N	\N	\N	\N	\N	2007/Aug/13	6.7	\N	\N
486	Right to Left Beckoning Cat	\N	\N	\N	\N	\N	\N	2007/Sep/03	7	\N	\N
488	The Demon of TV Station (1 Hour Special)	\N	\N	\N	\N	\N	\N	2007/Oct/22	9.4	\N	\N
489	Courtroom Confrontation 3: Witness is Public Prosecutor (1 Hour Special)	\N	\N	\N	\N	\N	\N	2007/Nov/26	10.1	\N	\N
535	An Old Scar & The Detective's Spirit	DCTP	177729536	XviD	BC055C0C	/msg [DCTP]Archive xdcc send 1	Coming Soon	2009/May/23	7.2	\N	\N
77	A Distinguished Family's Consecutive Accidental Death Case (Part 1)	Anime-Conan	180361810	\N	22ED7172	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=76ZW4NNP	1997/Oct/20	19.1	\N	\N
536	Secret of the Vanished Masterpiece	\N	\N	\N	\N	\N	\N	2009/May/30	\N	\N	\N
331	Suspicious Curry (Part 1)	AZFS	154175008	\N	31A1F9E5	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=42YBWUR7	2003/Aug/11	13.9	\N	Please join #AZFS if you are not already there
335	Secret of the Touto Film Developer Place (Part 1)	DCTP	179206144	\N	D55F9653	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6VQ7AFZV	2003/Sep/08	12.9	\N	\N
341	Hidden Bathroom Secret (Part 2)	DCTP	180369408	\N	D5A62685	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z842F6BG	2003/Nov/10	13.1	\N	\N
438	The Pursuit of the Fish Mail	Anfs	197339010	\N	3CF87E6C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=786SL1DE	2006/May/15	11	\N	\N
455	Upsetting Outcome (Part 2)	Anfs	193041178	\N	5E7FA899	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KTHGVUF4	2006/Nov/06	8.7	\N	\N
456	The Mystery I Loved	Hari-no-Ito	170010624	\N	777634B0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O5S7H9IY	2006/Nov/13	9.7	\N	\N
418	Home of Beika's Grenier	DCTP	181872640	\N	8DE508E2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KHTR37TP	2005/Oct/31	11	\N	\N
421	Ginkgo's Color's First Love (Part 1)	Kienai	180195864	\N	2EA3BA75	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UD0WSN0F	2005/Nov/21	9.6	\N	\N
443	Gathering Shellfish With a Sigh (Part 1)	Anfs	165160804	\N	66689482	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=37HIVZBF	2006/Jun/26	9.5	\N	\N
462	Shadow of Black Organization: A Very Young Witness	NEG/Kaizou	186365952	\N	912A3CBD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=N1KY8F8P	2007/Jan/29	9.7	\N	\N
463	Shadow of Black Organization: Strange Illumination	NEG/Kaizou	179927040	\N	2F8BAA4D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=70PV4E4V	2007/Feb/05	10.3	\N	\N
400	Ran's Suspicions	Shinsen-Subs	182624256	\N	0363196E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DI82P1CX	2005/May/30	12.3	\N	\N
1	Roller Coaster Murder Case	Anime-Conan	210026496	XviD	B58E4700	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HAFSUVNI	1996/Jan/08	8.5	\N	\N
392	Mysterious Height Difference of 20 cm	\N	\N	\N	\N	\N	\N	2005/Mar/14	12.5	\N	\N
393	A Kidnapping Case... So It Seems	\N	\N	\N	\N	\N	\N	2005/Mar/21	10.5	\N	\N
401	The Caught Red-handed Jewel Robber (Part 1)	Ani-Jiyuu	184270848	\N	606359E2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=N0776DLO	2005/Jun/06	10.6	\N	\N
395	Big Adventure at the Unconventional Mansion (Part 2: The Scheming)	Knightus	125276400	\N	FF50359D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OJC7G8N1	2005/Apr/25	11.4	\N	\N
397	Hot, Bitter, Sweet Soup	\N	\N	\N	\N	\N	\N	2005/May/09	12.9	\N	\N
403	The Mysterious Angel's Mansion (Part 1)	B-Org	181024742	\N	50313521	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RWTULF9K | http://www.megaupload.com/?d=2SJRS0BR (HQ by TheQuyen)	2005/Jun/20	11.5	\N	\N
407	Conan and Heiji's Reasoning Magic (Part 2: The Mansion)	Anfs	193340404	\N	CD2083E2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=114T8EPO	2005/Jul/18	10.8	\N	\N
408	Conan and Heiji's Reasoning Magic (Part 3: The Solution)	Anfs	205698210	\N	9EB951CF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MU74XD0U	2005/Aug/01	8.6	\N	\N
412	The Shinto Shrine Torii's Surprising Code (Part 2)	Hari-no-Ito	179288064	\N	9EC1C8C9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=87O2EQIP	2005/Aug/29	8.4	\N	\N
416	The Evil Spirit Appeared on an Unlucky Day (Part 2: The Suspicion)	Hari-no-Ito	166215680	\N	DEE9936A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ASXBJ485	2005/Oct/17	10.6	\N	\N
422	Ginkgo's Color's First Love (Part 2)	Kienai	179918017	\N	0A6B5B43	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NTYKV5K6	2005/Nov/28	9	\N	\N
426	Love Letter to Ran	Yami	186687222	\N	EF80A53A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=H4RPWNTR	2006/Jan/16	9.8	\N	\N
428	Super Secret of the Road to School (Part 2)	Kienai	180233712	\N	D797179F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U3899RNR	2006/Jan/30	10.9	\N	\N
429	Two People Who Can't Return Yet (Part 1)	Kaizou	184332288	\N	1BB66556	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QMHOCN5K	2006/Feb/06	11.9	\N	\N
435	Information Gathered on the Detective Boys (Part 1)	Kaizou	176974728	\N	87DACF98	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2E29Y4L0	2006/Apr/17	9.7	\N	\N
445	Secret of the Russian Blue	Anfs	179764708	\N	1A1F18BE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DND0OV1V	2006/Jul/10	9.3	\N	\N
447	The Sealed Western-style Window (Part 2)	Kaizou	184477696	\N	FFEEF6B8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CFTF18XG	2006/Jul/31	8.4	\N	\N
449	The Metropolitan Police Detective Love Story, The Fake Wedding (1 Hour Special)	Kaizou	400801792	\N	DE318ABE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7WD8XVZ5	2006/Aug/21	11.8	\N	\N
450	Trick VS Magic (Part 1)	Anfs	196067322	\N	600984B9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=C5MSQMR1	2006/Aug/28	9.4	\N	\N
453	Preview Meeting of Friendship and Fate	GamesSmash	182925341	\N	77E1DA00	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XNGZWCIA	2006/Oct/23	9	\N	\N
398	Weird Family's Request (Part 1)	Anfs	195063006	\N	1DAE8482	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J4RMGKCQ	2005/May/16	12.7	\N	\N
469	Kaitou Kid and the 4 Masterpieces (Part 1)	DCTP	180389888	\N	99866371	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=M6HCZ1QT	2007/Apr/16	11.1	\N	\N
472	Adventure of Young Kudo Shinichi (Part 1)	DCTP	180355072	\N	A2CC7396	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=5NXIUP31	2007/May/14	10.6	\N	\N
477	Genta's Killer Shoot (Part 2)	DCTP	180371456	\N	5D3584FF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KD2NL5KE	2007/Jul/02	8.7	\N	\N
512	The Broken Horoscope	DCTP	180367360	\N	23D57BA7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MSE2AAMR	2008/Aug/11	7.7	\N	\N
491	Clash of Red and Black: The Beginning	DCTP	244444252	\N	BD36FFA0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PKQ84P4Z	2008/Jan/14	9.6	\N	\N
509	Red, White, Yellow and the Detective Boys	DCTP	180160512	\N	AC1B7554	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YFHKDX8H	2008/Jul/14	8.5	\N	\N
516	Fuurinkazan, The Mysterious Armored Warrior (Part 1) (1 Hour Special)	DCTP	360773632	\N	FF03FAE3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZGU129YW	2008/Nov/03	10.8	\N	\N
467	Unsmashable Snowman (Part 2)	Kaizou	180320256	\N	0ED1C3E2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FWC23FMU	2007/Mar/05	8.3	\N	\N
520	Indictment by Red Wine	DCTP	180389888	\N	AFBFD601	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R3PB2FWA	2008/Dec/15	9.6	\N	\N
524	Blue Spark of Hate (Part 1)	DCTP	180445184	XviD	80D7888F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=G8O3GDVA	2009/Feb/09	8.2	\N	\N
88	Dracula Villa Murder Case (Part 1)	Anime-Conan	180358490	\N	FF5B52A4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HYA1IRKT	1998/Jan/26	20.8	\N	\N
523	What She Truly Wants to Ask	DCTP	172mb	XviD	BE5261BC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BGSQID1N	2009/Feb/02	7.9	\N	\N
487	The Metropolitan Police Detective Love Story 8, The Ring on the Left Hand (1 Hour Special)	DCTP/NEG	364257280	\N	31221C8B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4CM6UAJ4	2007/Sep/15	10.9	\N	\N
495	Clash of Red and Black: Coma	DCTP	244214900	\N	F9314E79	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=S67HB5V6	2008/Feb/11	9.2	\N	\N
2	Company President's Daughter Kidnapping Case	Anime-Conan	234573824	XviD	3E743379	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9JPX11BC	1996/Jan/15	11.9	\N	\N
470	Kaitou Kid and the 4 Masterpieces (Part 2)	DCTP	180350976	\N	D1AB9D56	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YKXUQ9MY	2007/Apr/23	10.7	\N	\N
493	Clash of Red and Black: Exclamation	DCTP	244228771	\N	5F855570	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=A4T5PQ37	2008/Jan/28	9.5	\N	\N
492	Clash of Red and Black: Blood Relative	DCTP	244106068	\N	5F139F72	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RJYIPIBG	2008/Jan/21	9	\N	\N
525	Blue Spark of Hate (Part 2)	DCTP	180461568	\N	33E5E754	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XATHBWK0	2009/Feb/16	9.4	\N	\N
494	Clash of Red and Black: Hades	DCTP	244189266	\N	277D1F90	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NHCG9K3I	2008/Feb/04	9.4	\N	\N
498	Clash of Red and Black: Disturbance	DCTP	244198759	\N	6AD78584	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7P786YUI	2008/Mar/03	10	\N	\N
527	The Malice Hidden Behind the Masque	\N	\N	\N	\N	\N	\N	2009/Mar/02	8.4	\N	\N
500	Clash of Red and Black: Testament	DCTP	179488768	\N	2E12755B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UTDDIYKT	2008/Mar/17	9.5	\N	\N
501	Clash of Red and Black: Suspicion	DCTP	180293642	\N	AB9C91B7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=67G9L6MU	2008/Apr/14	8.1	\N	\N
506	Lawyer Kisaki Eri's Testimony (Part 2)	DCTP	180414464	\N	D60A3ACF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RPOO0CNJ	2008/Jun/23	8	\N	\N
468	Mysterious Case Near the Pond	\N	\N	\N	\N	\N	\N	2007/Mar/12	10	\N	\N
507	Blind Spot in the Karaoke Box (Part 1)	DCTP	180379648	\N	E5B22EB5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QZLCKN3R	2008/Jun/30	6.3	\N	\N
529	Might Over Mystery (Part 2)	DCTP	180277248	\N	0D7F6740	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZZ7A0PDX	2009/Mar/16	8.2	\N	\N
533	The Scar That Invokes the Past	DCTP	180371456	\N	C4ED94A4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=S11I80HY	2009/May/09	6.5	\N	\N
510	Conan VS W-Code Mystery	DCTP	180158464	\N	0F65CA68	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZNQ7K0Z9	2008/Jul/28	8.5	\N	\N
534	A New Scar & The Whistling Man	DCTP	180357120	\N	0950AC6A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PUUFKMTQ	2009/May/16	8.7	\N	\N
517	Fuurinkazan, Shadow and Lightning's Conclusion (Part 2)	DCTP	180414464	\N	769074C4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LESN3QQB	2008/Nov/10	8	\N	\N
466	Unsmashable Snowman (Part 1)	Kaizou	180334592	\N	98ED9167	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z5DQE64E	2007/Feb/26	9.9	\N	\N
514	Coffee Aroma's Murderous Intent (Part 2)	DCTP	180340736	\N	45B629CF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ID5JF11K	2008/Sep/08	7.9	\N	\N
528	Might Over Mystery (Part 1)	DCTP	180453376	\N	2A348B59	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DYRUGKQ8	2009/Mar/09	7.4	\N	\N
81	The Kidnapping of a Popular Artist Case (Part 1)	Anime-Conan	180353236	\N	7089777F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=89ASXT65	1997/Nov/17	20.6	\N	\N
476	Genta's Killer Shoot (Part 1)	DCTP	180365312	\N	92F68EFA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=58HD0OLH	2007/Jun/25	9.3	\N	\N
14	The Mysterious Shooting Message Case	Anime-Conan	245018624	\N	E0774045	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=24N3OF9C	1996/Apr/29	12.5	\N	\N
141	The Night Before the Wedding Locked Room Murder Case (Part 1)	NEG	181641216	\N	BA8BB5AE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2MY9ZA3T	1999/Apr/19	19.4	\N	\N
7	Once-A-Month Present Threat Case	Anime-Conan	229019648	\N	863DA758	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=S4AE8YZL	1996/Feb/19	12.7	\N	\N
98	The Famous Potter Murder Case (Part 1)	Anime-Conan	180364450	\N	A314FCC4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KBNQJVCQ	1998/Apr/20	19.5	\N	\N
26	Pet Dog Jon Murder Case	Anime-Conan	183531520	\N	4B2D3093	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NMNYIHAP	1996/Jul/29	13.6	\N	\N
30	Alibi Testimony Murder Case	Anime-Conan	177911808	\N	92A002D6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z0O4UHRR	1996/Aug/26	13.7	\N	\N
128	The Black Corps One Billion Yen Robbery Case	DCTP	181655346	XviD	7D1B5A8B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7WZXLA7N (DCTP)	1998/Dec/14	20.9	\N	\N
34	The Mountain Villa Bandaged Man Murder Case (Part 1)	Anime-Conan	177895424	\N	92B7A16B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=A4BN5Y56	1996/Oct/21	17.8	\N	\N
38	Akaoni Village Fire Festival Murder Case	Anime-Conan	167768064	\N	811948F7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QEQLIP6Q	1996/Nov/18	17.8	\N	\N
47	Sports Club Murder Case	Anime-Conan	176135774	\N	313AFDAA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8ZFKI39L	1997/Feb/10	16.6	\N	\N
51	The Golf Driving Range Murder Case	Anime-Conan	180381944	\N	445A16D5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I49EN7N9	1997/Mar/10	15.3	\N	\N
55	The Train Trick Murder Case	Anime-Conan	180357370	\N	8BE6D54F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6K734IPG	1997/Apr/21	18.4	\N	\N
151	The Truth of the Exploding Car Case (Part 2)	NEG	181317632	\N	CCDAFDE6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6SVZC9KW	1999/Jul/05	19.5	\N	\N
59	The First Errand Murder Case	Anime-Conan	180285098	\N	5DBA8AA7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=C1PJA6I6	1997/May/19	19.2	\N	\N
143	The Suspicious Astronomical Observation	NEG	181397504	\N	07A2A410	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=A1GCZN7Y	1999/May/03	15.6	\N	\N
144	The North Star #3 Express Leaving Ueno (Part 1)	NEG	181440512	\N	86A82794	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NUVF8BY1	1999/May/10	18.9	\N	\N
147	The Metropolitan Police Detective Love Story (Part 2)	NEG	183951360	\N	93EC64F9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GPB9KXZI	1999/Jun/07	20.2	\N	\N
64	The Third Fingerprint Murder Case	Anime-Conan	180352856	\N	49C7C8E2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=WSXFZSS4	1997/Jun/23	18	\N	\N
157	The Metropolitan Police Detective Love Story 2 (Part 2)	NEG	179877888	\N	6F8AD6E7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DRWKVWHY	1999/Aug/16	13.6	\N	\N
164	The Secret of the Moon, the Star, and the Sun (Part 2)	KnKF	180193280	\N	648025B9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=WMBNMUN8	1999/Oct/18	18.3	\N	\N
168	The Monster of the Tottori Spider Mansion (Part 3: The Solution)	KnKF	183511040	\N	BADEED18	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DL4HBAJ0	1999/Nov/15	17.6	\N	\N
172	The Revival of the Dying Message (Part 1)	KnKF	183439360	\N	45562C92	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=5FMJCDDM	1999/Dec/13	17.3	\N	\N
503	Clash of Red and Black: Ready to Die	DCTP	180290068	\N	073FCD49	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HHSBRKIR	2008/May/12	9.1	\N	\N
107	Mogura Star Man Murder Case (Part 1)	Atavus	180361216	XviD	D1FA39FC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7XN3NWJS (Atavus)	1998/Jun/29	18.5	\N	\N
4	The Coded Map of the City Case	Anime-Conan	220565504	XviD	EC789C22	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CI30WGPL	1996/Jan/29	12.2	\N	\N
134	Magic Lover's Murder Case (Part 3: The Resolution)	NEG	180033536	\N	D3300D32	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HDULTMR8	1999/Feb/08	23	\N	\N
75	The Loan Company President's Murder Case	Anime-Conan	180350694	\N	B6B2645E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=TIQF2O0C	1997/Sep/08	18.5	\N	\N
80	The Wandering Artist Murder Case	Anime-Conan	180364882	\N	05ED0052	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BEKMOG53	1997/Nov/10	19.2	\N	\N
85	Ski Lodge Murder Case (Part 2)	Anime-Conan	180356534	\N	E15CFC51	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3V5835S1	1997/Dec/15	21.2	\N	\N
90	The Flower's Smell Murder Case	Anime-Conan	180357960	\N	05587938	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=P6JB0FTZ	1998/Feb/09	22.8	\N	\N
92	The Fearful Mountain Trek Murder Case (Part 1)	Anime-Conan	180357300	\N	F38B0AFC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EHXUMQ11	1998/Feb/23	19.7	\N	\N
103	Historical Play Performer Murder Case (Part 2)	Anime-Conan	179974144	\N	96F07295	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ERGMFGU0	1998/Jun/01	17.6	\N	\N
115	The Scuba Diving Murder Case (Part 2)	FakeEnglishGuys	182938035	\N	AE903E05	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0RURPC1P	1998/Aug/31	19.8	\N	\N
118	The Naniwa Serial Murder Case (1 Hour Special)	NEG	291276800	\N	6FC6004C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YB3RR077	1998/Sep/28	21.2	\N	\N
131	The Stadium Indiscriminate Threatening Case (Part 2)	NEG	362663936	\N	E66D5124	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EBZEPZ2Y (Contains both 130 and 131)	1999/Jan/18	23.2	\N	\N
3	An Idol's Locked Room Murder Case	Anime-Conan	185499648	XviD	2E9C1FF3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CQNMGXM5	1996/Jan/22	11.4	\N	\N
22	Luxury Liner Serial Murder Case (Part 1)	Anime-Conan	186507264	\N	700BAC97	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=F4XVOOJ2	1996/Jul/01	12.8	\N	\N
307	The Dark Footprint (Part 1)	Kaizou	236527616	\N	E2D65F07	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KMY5AK56	2003/Jan/27	16.5	\N	\N
193	The Desperate Revival: The Promised Place	KnKF	183498752	\N	EC557BF7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K017X4DX	2000/Jun/05	20.1	\N	\N
196	The Invisible Weapon, Ran's First Investigations	KnKF	179623936	\N	40A35E42	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=TVN26ZOH	2000/Jun/26	18.7	\N	\N
200	Kogoro Mouri, Suspect (Part 2)	KnKF	180465664	\N	3115FE41	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O8ZKXTYL	2000/Jul/24	19.2	\N	\N
203	The Black Wings of Icarus (Part 1)	DCTP	366989312	\N	57A97A97	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0JDG3QQU (Contains both 203 and 204)	2000/Aug/14	14.2	\N	\N
205	The Metropolitan Police Detective Love Story 3 (Part 1)	NEG	180299776	\N	EBBF9669	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0WP3RKB7	2000/Aug/28	19.2	\N	\N
208	The Entrance to the Maze, The Anger of the Colossus (1 Hour Special)	NEG	349407232	\N	68DECD23	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VRB4FIYZ	2000/Oct/09	18.6	\N	\N
219	The Gathered Detectives! Shinichi VS Kaito Kid (2 Hour Special)	Kaizou	724420608	\N	50034C1F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=M7D8GP5U	2001/Jan/08	17.6	\N	\N
222	And Then There Were No Mermaids (Part 1: The Murder)	DCTP	360525824	\N	1388584C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VVHLEWU5 (Contains 222, 223 and 224)	2001/Jan/29	19.2	\N	\N
227	The Battle Game Trap (Part 2)	Kaizou	181156424	\N	51177822	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XMU045AD	2001/Mar/05	20.4	\N	\N
231	The Mysterious Passenger (Part 2)	Kaizou	181291008	\N	7CFBC791	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UFU939AS	2001/Apr/23	19.3	\N	\N
239	The Osaka 3 "K" Case (Part 2)	DCTP	179585024	\N	16CCB3DC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O7XDYHOR	2001/Jun/25	16.3	\N	\N
263	The Osaka Double Mystery, The Swordsman and Toyotomi's Castle (2.5 Hour Special)	DCTP	734011392	\N	87FA434E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NDQFYO5X	2002/Jan/07	19.5	\N	\N
267	The Truth Behind Valentine's (Part 2: The Deduction)	Kienai	180359106	\N	467EE1AE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=G7AODAE0	2002/Feb/04	20	\N	\N
273	Quiz-Obasan's Dart Clue Case	FakeEnglishGuys	171452416	\N	591E3ED1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ALW3L91V	2002/Apr/08	17.9	\N	\N
276	Case of the Missing Policeman's Notebook	GinRei	183582720	\N	AF9F5452	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=E23MI6ML	2002/May/06	19.4	\N	\N
288	Kudo Shinichi's NY Case (Part 3)	Kaizou	236660736	\N	C2A293F7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=380DRGD2	2002/Jul/29	15.8	\N	\N
292	Solitary Island of the Princess and the Dragon King's Palace (Part 2)	GinRei	183234560	\N	904A9038	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=1Z93N0E7	2002/Aug/26	18	\N	\N
309	Contact with the Black Organization (Part 1: The Negotiation)	Kaizou	237006848	\N	89764AC0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=C4Z8X2JO	2003/Feb/10	13.4	\N	\N
314	Broken Fence of the Observatory	Anime-Conan	177053696	\N	2944FE1B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=W770J2DW	2003/Mar/17	14.6	\N	\N
330	A Friendship That Can't Be Bought (Part 2)	DCTP	180439040	\N	2042CB43	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NCLT26QN	2003/Aug/04	14.5	\N	\N
333	Alike Princesses (Part 1)	NEG	180836352	\N	B66C1706	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CDPKFPLA	2003/Aug/25	12.9	\N	\N
336	Secret of the Touto Film Developer Place (Part 2)	DCTP	180822016	\N	DA3BF7B0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DMT7LE1H	2003/Sep/15	12.5	\N	\N
340	Hidden Bathroom Secret (Part 1)	DCTP	182550528	\N	C65D4487	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4DNQRACJ	2003/Nov/03	12.1	\N	\N
343	The Convenience Store Trap (Part 1)	DCTP	180383744	\N	76A7914B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R143MN5L	2003/Dec/01	13	\N	\N
356	Kaitou Kid's Miracle Midair Walk (1 Hour Special)	Kaizou	352779390	\N	0FE85F33	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YOXBL51M	2004/Apr/12	13.7	\N	\N
359	The Metropolitan Police Detective Love Story 5 (Part 2)	NEG/Kaizou	180486144	\N	6DC042DC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6ATJ3R5F	2004/May/10	12.8	\N	\N
365	Synchronicity Case (Part 2)	KnKF	183111680	\N	6C9C1C1F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6F1FEFEK	2004/Jun/21	14	\N	\N
374	A Code for Star and Tabacco (Part 1)	KnKF	179572736	\N	BA352DAD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LN70XOW6	2004/Oct/18	12.6	\N	\N
377	Momotarou Mystery Solving Tour (Part 1)	KnKF	180320256	\N	5B3CABFD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OD93TF2U	2004/Nov/08	14.9	\N	\N
380	Case of the Long Sleeved Kimono at the Hidden Hot Spring on a Snowy Night (Part 2)	B-Org	178475307	\N	43773BC2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DL34SNG4	2004/Nov/29	11.8	\N	\N
385	The Dissonance of the Stradivarius (Part 1: Prelude)	DCTP	180326400	\N	AAE5D213	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GWCN70QA	2005/Jan/24	12.3	\N	\N
521	Murderer, Kudou Shinichi (1 Hour Special)	DCTP	360742912	XviD	0D16476F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VG15DQJB	2009/Jan/19	9.6	\N	\N
182	The Big Investigation of the Nine Doors	KnKF	183476224	\N	C51366F9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FT8W7O51	2000/Feb/28	21	\N	\N
186	The Murdered Famous Detective (Part 2)	KnKF	183500800	\N	B5FAC159	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L5GI9ARX	2000/Apr/17	18.9	\N	\N
189	The Desperate Revival: A Wounded Great Detective	KnKF	184748032	\N	BCDE6234	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4C9W6ANW	2000/May/08	20.6	\N	\N
515	Kaitou Kid's Teleportation Magic (1 Hour Special)	DCTP	360736768	\N	672A3AC6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XLS27GJI	2008/Oct/20	9.6	\N	\N
522	Shinichi's True Face & Ran's Tears (1 Hour Special)	DCTP	360755200	XviD	37764E7C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7PLOMJRF	2009/Jan/26	11.3	\N	\N
526	A Present from the True Culprit	DCTP	180459520	\N	97258452	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=0A4INSJ2	2009/Feb/23	8.9	\N	\N
530	The Truth Behind the Urban Legend (Part 1)	DCTP	180453376	DivX	3302AE4A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QKF9EW4Y	2009/Apr/18	5.8	\N	\N
531	The Truth Behind the Urban Legend (Part 2)	DCTP	180367360	\N	884F3F2A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O8W68F46	2009/Apr/25	9.1	\N	\N
65	A Crab and Whale Kidnapping Case	Anime-Conan	180339280	\N	74840D91	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EJ66BJ1Q	1997/Jun/30	17.3	\N	\N
402	The Caught Red-handed Jewel Robber (Part 2)	Ani-Jiyuu/Kaizou	175630336	\N	9169FA30	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K7UD67R9	2005/Jun/13	11.4	\N	\N
406	Conan and Heiji's Reasoning Magic (Part 1: The Trick)	Anfs	198807094	\N	5D43038E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3YWZLJC0	2005/Jul/11	11.4	\N	\N
156	The Metropolitan Police Detective Love Story 2 (Part 1)	NEG	179994624	\N	81584EFD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VU0GNROI	1999/Aug/09	16.9	\N	\N
145	The North Star #3 Express Leaving Ueno (Part 2)	NEG	181571584	\N	8C7A529C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NE9OR00M	1999/May/24	19.4	\N	\N
162	The Case of the Flying Locked Room, Shinichi Kudo's First Case (1 Hour Special)	KnKF	367063040	\N	6BC13D6D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2F6TRCT4	1999/Oct/04	19.8	\N	\N
174	The 20 Year old Murder Case, The Symphony Serial Murders (2 Hour Special)	KnKF	734013440	\N	5EBFABF8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FSSETVIT	2000/Jan/03	14.6	\N	\N
179	The Case of the Coffee Shop Truck's Wild Entrance	KnKF	183205888	\N	D86DF1D1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z9YAGKZ5	2000/Feb/07	20.1	\N	\N
180	The Nocturne of the Red Murderous Intent (Part 1)	KnKF	183470080	\N	D6757907	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7BW3HXN5	2000/Feb/14	20.1	\N	\N
242	Genta's Disaster	AZFS	180588544	\N	D33CD745	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=66NGF060	2001/Jul/16	19.4	\N	Please join #AZFS if you are not already there
399	Weird Family's Request (Part 2)	Anfs	200144786	\N	E8DDD693	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ITOEAXZX	2005/May/23	12.2	\N	\N
104	The Mysterious Robbers and Mansion Case (Part 1)	Anime-Conan	180376290	\N	9FA26CAC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZIRROTE1	1998/Jun/08	17.3	\N	\N
478	Real 30 Minutes	DCTP	180353024	\N	EE23923B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7VB70K9Y	2007/Jul/09	9.1	\N	\N
444	Gathering Shellfish With a Sigh (Part 2)	Anfs	188378594	\N	42F90667	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZRNPUFHF	2006/Jul/03	8.3	\N	\N
448	The Black-eyed Saury Case	Anfs	186765286	\N	3F19027A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SCJ6V6V0	2006/Aug/14	8	\N	\N
161	The Murder Floating in the Stream Restaurant	NEG/Kaizou	183883776	\N	0517C3A8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SXNWE5OI	1999/Sep/27	20.1	\N	\N
129	A University Professor and the Girl Who Came from the Black Organization (2 Hour Special)	KnKF	733528064	\N	53E92AEB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QXVUARQ1	1998/Dec/21	20.9	\N	\N
460	The Big Battle of 1-B	Hari-no-Ito	152072192	\N	BFDC3111	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6F40D308	2007/Jan/15	9	\N	\N
465	Shadow of Black Organization: A Pearl Shooting Star	NEG/Kaizou	179970048	\N	43FDD0EC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NEWJ052N	2007/Feb/19	9.5	\N	\N
411	The Shinto Shrine Torii's Surprising Code (Part 1)	Hari-no-Ito	197015552	\N	61F7B59A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=B159AZP0	2005/Aug/22	11.2	\N	\N
480	Yellow Alibi	S-EP	131227648	\N	2E7AC6BB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HI0U6VCR	2007/Jul/23	9.4	\N	\N
499	Clash of Red and Black: Disguise	DCTP	244551917	\N	5BC2C4DF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EADHT74Q	2008/Mar/10	8.5	\N	\N
424	The Photograph Mail from a Clown	Hari-no-Ito	158941184	\N	89BCC6D2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8F7W36C9	2005/Dec/19	9.4	\N	\N
427	Super Secret of the Road to School (Part 1)	Kienai	180560075	\N	54364B63	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KRVIXATU	2006/Jan/23	10.6	\N	\N
496	Clash of Red and Black: Invasion	DCTP	244072769	\N	DED5E6AE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZMKUQWPK	2008/Feb/18	8.2	\N	\N
431	The Metropolitan Police Detective Love Story 7 (Part 1)	DCTP	182073344	\N	7518AB85	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4YC25BCA	2006/Feb/20	10.4	\N	\N
436	Information Gathered on the Detective Boys (Part 2)	Kaizou	170731520	\N	A4A855A6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=AVI9LQT3	2006/Apr/24	11.6	\N	\N
451	Trick VS Magic (Part 2)	Anfs	202819768	\N	0A2DC789	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SZ6XPBDO	2006/Sep/04	8.8	\N	\N
511	Deduction Showdown! Shinichi VS Okiya Subaru	DCTP	180156416	\N	686C8273	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HIJ14WKI	2008/Aug/04	7.8	\N	\N
457	Sonoko's Red Handkerchief (Part 1)	Kaizou	183341828	\N	94459766	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DVWZN9V5	2006/Nov/20	10.2	\N	\N
471	Rented Car Out of Control!	DCTP	179916800	\N	260F6773	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ECH8CEZ0	2007/May/07	9.9	\N	\N
505	Lawyer Kisaki Eri's Testimony (Part 1)	DCTP	180412416	\N	9E92A8EA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HG8ZNL2Y	2008/Jun/16	7.9	\N	\N
508	Blind Spot in the Karaoke Box (Part 2)	DCTP	180373504	\N	1547A040	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PX6LGO63	2008/Jul/07	7.9	\N	\N
19	An Elevator Murder Case	Anime-Conan	180322304	\N	AFE1C198	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2GPG7UIT	1996/Jun/10	15.6	\N	\N
464	Shadow of Black Organization: The Mysterious Big Reward	NEG/Kaizou	180457472	\N	17DCD753	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K0S8CEA3	2007/Feb/12	9.8	\N	\N
28	Kogoro's Class Reunion Murder Case (Part 2)	Anime-Conan	183531520	\N	A80F1708	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MZY2AIHW	1996/Aug/12	12.6	\N	\N
166	The Monster of the Tottori Spider Mansion (Part 1: The Murder)	KnKF	183529472	\N	CFBF0F53	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HY3QK59X	1999/Nov/01	18.5	\N	\N
5	The Shinkansen's Bomb Case	Anime-Conan	279443456	\N	4CD51933	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=T67ZC7FW	1996/Feb/05	13.4	\N	\N
21	On Location, TV Drama Murder Case	Anime-Conan	186628096	\N	C89D6A73	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I8YUQSFJ	1996/Jun/24	13.4	\N	\N
13	The Strange Person Hunt Murder Case	Anime-Conan	231049216	\N	D4CF9F2C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DN7IMOLX	1996/Apr/22	12.7	\N	\N
37	Cactus Flower Murder Case	Anime-Conan	168032256	\N	AA1A75EE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=WD7HBY3R	1996/Nov/11	18.5	\N	\N
43	Edogawa Conan Kidnapping Case	Anime-Conan	167753728	\N	A43EE10B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=N8SL1BQ5	1997/Jan/13	18.8	\N	\N
44	The Three Hotta Brothers Murder Case	Anime-Conan	175110144	\N	10CB5E24	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YQXQFOG3	1997/Jan/20	17.6	\N	\N
52	The Mist Goblin Legend Murder Case (1 Hour Special)	Anime-Conan	361233320	\N	D473694A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=A6BHP5AR	1997/Mar/17	17.9	\N	\N
61	A Ghost Ship Murder Case (Part 1)	Anime-Conan	180354604	\N	26D24C4C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OP51VPWG	1997/Jun/02	19.1	\N	\N
66	Night Road Murder Case	Anime-Conan	180354064	\N	00A17344	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=FPIKYHIQ	1997/Jul/07	18	\N	\N
69	The Night Baron Murder Case (Part 2: The Suspicion)	Anime-Conan	180351300	\N	9206D552	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=1R5IC8BQ	1997/Jul/28	18.2	\N	\N
70	The Night Baron Murder Case (Part 3: The Solution)	Anime-Conan	180350582	\N	8A40F61C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O9Y78R4K	1997/Aug/04	17.2	\N	\N
74	The Death God Jinnai Murder Case	Anime-Conan	180357636	\N	449F2616	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MFW2MYUV	1997/Sep/01	19.3	\N	\N
86	The Kidnapping Location Case	Anime-Conan	180359824	\N	81F600B8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2VHF6HS2	1998/Jan/12	22.7	\N	\N
95	Kogoro's Date Murder Case	Anime-Conan	180366340	\N	F7838CEF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9E1S1QXT	1998/Mar/16	16.8	\N	\N
96	Caught Up with the Great Detective! Two Murder Cases (2 Hour Special)	Anime-Conan	721487830	\N	9E6BA9A8	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7IPYRR2I	1998/Mar/23	22.4	\N	\N
99	The Famous Potter Murder Case (Part 2)	Anime-Conan	179988878	\N	F6904CAF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HWGHTWPP	1998/Apr/27	18.6	\N	\N
109	Detective Club Pursuit Case	Atavus	180706916	XviD	C64716F5	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=YCDY9H8D (Atavus)	1998/Jul/13	16.7	\N	\N
110	Cooking Classroom Murder Case (Part 1)	FakeEnglishGuys	182036372	\N	315F8D03	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2WOLS8PP (Atticus) | http://www.megaupload.com/?d=UVPDI99I (DCF)	1998/Jul/27	19.1	\N	\N
112	The Case of the Seven Mysteries of Teitan Elementary School	FakeEnglishGuys	182531851	\N	EDF58229	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=N6Y1P8S8	1998/Aug/10	18.9	\N	\N
130	The Stadium Indiscriminate Threatening Case (Part 1)	NEG	362663936	\N	E66D5124	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EBZEPZ2Y (Contains both 130 and 131)	1999/Jan/11	21.3	\N	\N
132	Magic Lover's Murder Case (Part 1: The Case)	NEG	184344576	\N	EBAD0E00	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SBP7ER9W	1999/Jan/25	21.9	\N	\N
138	The Final Screening Murder Case (Part 1)	NEG	180353024	\N	33292D88	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZJU85234	1999/Mar/22	21.1	\N	\N
154	Sonoko's Dangerous Summer Story (Part 2)	NEG	182476800	\N	F85274CD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VG38BOGG	1999/Jul/26	17.3	\N	\N
155	The Underwater Key in the Locked Room Case	NEG	180760576	\N	A75E88A1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3QHMOHKI	1999/Aug/02	16.4	\N	\N
176	Meeting with the Black Organization Again (Part 1)	KnKF	183416832	\N	BABEBFDA	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DPSUEWF5	2000/Jan/17	22	\N	\N
187	The Mysterious Gun Shot in the Dark	KnKF	183508992	\N	17C11F91	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U9ASOUE1	2000/Apr/24	21.6	\N	\N
192	The Desperate Revival: Shinichi's Return	KnKF	183500800	\N	9E091060	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OG2G00TT	2000/May/29	20.3	\N	\N
198	A Super Car's Trap (Part 2)	KnKF	180377600	\N	A8D9DA01	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=V5UVI2BT	2000/Jul/10	16.8	\N	\N
206	The Metropolitan Police Detective Love Story 3 (Part 2)	NEG	180275200	\N	A80FD81B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EXGSMYFO	2000/Sep/04	18.6	\N	\N
212	Mushrooms, Bears, and the Detective Boys (Part 1)	BG/DCF	371180708	\N	CA243F6D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L9CS3D3U (Contains both 212 and 213)	2000/Nov/06	18.2	\N	\N
108	Mogura Star Man Murder Case (Part 2)	Atavus	179968000	XviD	8977AF04	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UOTOVN4Y (Atavus)	1998/Jul/06	19.5	\N	\N
142	The Night Before the Wedding Locked Room Murder Case (Part 2)	NEG	181434368	\N	F5EA9297	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U3PZP30I	1999/Apr/26	18.7	\N	\N
272	Secret Rushed Omission (Part 2)	Kaizou	181036330	\N	1F93FA50	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UFOCUL7J	2002/Mar/18	20.9	\N	\N
254	The Metropolitan Police Detective Love Story 4 (Part 2)	Kaizou	181339112	\N	6FC400C1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HEH3W1GB	2001/Oct/22	20.5	\N	\N
323	Hattori Heiji's Desperate Situation! (Part 1)	Kaizou	181256192	\N	C13D5F40	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R8YDTAZQ	2003/Jun/09	16.8	\N	\N
114	The Scuba Diving Murder Case (Part 1)	FakeEnglishGuys	182407020	\N	6AAFCB3A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=J4I6T34R	1998/Aug/24	20.1	\N	\N
249	The Idol Stars' Secret (Part 1)	AZFS	180905984	\N	FAE201AF	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=UBE2QQ49	2001/Sep/03	18.8	\N	Please join #AZFS if you are not already there
233	The Evidence That Didn't Disappear (Part 1)	\N	\N	\N	\N	\N	\N	2001/May/14	18.5	\N	\N
237	The Nanki Beach Mystery Tour (Part 2)	\N	\N	\N	\N	\N	\N	2001/Jun/11	17.7	\N	\N
278	English Teacher VS Great Western Detective (Part 2)	Kaizou	180736000	\N	E7C23E5A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z5W1L2BQ	2002/May/20	16.9	\N	\N
290	Mitsuhiko's Mystifying Forest (Part 2)	\N	\N	\N	\N	\N	\N	2002/Aug/12	14.7	\N	\N
293	Solitary Island of the Princess and the Dragon King's Palace (Part 3)	GinRei	183238656	\N	3B4D9CF1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=G7D8DI0F	2002/Sep/02	18.4	\N	\N
302	Parade of Malice and Saint (Part 2)	DCTP	359329792	\N	3722E962	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=K8TYY6KD (Contains both 301 and 302)	2002/Dec/02	16.3	\N	\N
310	Contact with the Black Organization (Part 2: The Pursuit)	Kaizou	225755136	\N	E28D0AC6	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2LYY4H8N	2003/Feb/17	15.8	\N	\N
241	The Bullet Train Transport Case (Part 2)	DCTP	180754432	\N	7EA18808	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2QLIG2X7	2001/Jul/09	16.7	\N	\N
221	The Client Full of Lies (Part 2)	DCTP	360206336	\N	0AC8F430	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=17C0PMYZ (Contains both 220 and 221)	2001/Jan/22	20.3	\N	\N
338	Four Porsche's (Part 1)	DCTP	180838400	\N	3EBB47BB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3AVB424T	2003/Oct/20	13.9	\N	\N
325	Red Horse Inside the Flame (Part 1: The Incident)	Kienai	180436550	\N	C179102B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UYHL1FR3	2003/Jun/23	16.1	\N	\N
358	The Metropolitan Police Detective Love Story 5 (Part 1)	NEG/Kaizou	180578304	\N	3B4E158E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L3XU4EXP	2004/May/03	8.8	\N	\N
366	The Tragedy of the Pier in Plain Sight (Part 1)	KnKF	184094720	\N	F8AD935E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OTHM9CPE	2004/Jul/05	13.2	\N	\N
371	A Course Without Protest (Part 1)	KnKF	175947776	\N	69C27BA7	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DA1MEP96	2004/Aug/23	11.8	\N	\N
379	Case of the Long Sleeved Kimono at the Hidden Hot Spring on a Snowy Night (Part 1)	B-Org	178394267	\N	B468E254	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R8PQMTSA	2004/Nov/22	13.5	\N	\N
346	Find the Buttocks' Mark! (Part 1)	DCTP	180383744	\N	415766DC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XNN09RHW	2004/Jan/12	12.5	\N	\N
387	The Dissonance of the Stradivarius (Part 3: Postlude)	DCTP	180340736	\N	ABAAD442	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z63IIPD3	2005/Feb/06	12.9	\N	\N
390	The Metropolitan Police Detective Love Story 6 (Part 1)	DCTP	181809152	\N	859DEC4D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=D729C6E1	2005/Feb/28	13.2	\N	\N
394	Big Adventure at the Unconventional Mansion (Part 1: The Seal)	Knightus	203858202	\N	01EB315C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=OLBS1N5H	2005/Apr/18	11.4	\N	\N
396	Big Adventure at the Unconventional Mansion (Part 3: The Solution)	Akai-Tsurugi	179498720	\N	A7682874	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Z5ETRGWW	2005/May/02	10	\N	\N
415	The Evil Spirit Appeared on an Unlucky Day (Part 1: The Case)	Hari-no-Ito	188260352	\N	D5C6D422	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=V9K6Y60W	2005/Oct/10	11.3	\N	\N
417	The Evil Spirit Appeared on an Unlucky Day (Part 3: The Solution)	Hari-no-Ito	164153344	\N	0F57C657	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VSSSWNJ8	2005/Oct/24	11.1	\N	\N
425	Black Impact! The Instant That the Black Organization Reaches (2.5 Hour Special)	KnKF	733677568	\N	B455E63E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=RVMFTTMC	2006/Jan/09	13.1	\N	\N
432	The Metropolitan Police Detective Love Story 7 (Part 2)	DCTP	182106112	\N	CD58B73F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=X6D1REYM	2006/Feb/27	9.1	\N	\N
441	The Ahh at the End of Life	Kienai	180397021	\N	EEF44907	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=P3F5Q0CP	2006/Jun/05	8.7	\N	\N
446	The Sealed Western-style Window (Part 1)	Kaizou	184473600	\N	1821E31B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=QMAX0Z8N	2006/Jul/24	8.4	\N	\N
452	The Phantom of the Theatre (1 Hour Special)	Hari-no-Ito	366858240	\N	B3A9066D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L9PNYQ30	2006/Sep/11	9.1	\N	\N
454	Upsetting Outcome (Part 1)	Anfs	188043264	\N	D1F3746D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7ZFFTK3Q	2006/Oct/30	8.2	\N	\N
459	A Mysterious Man, Overly Strict with Regulations	Hari-no-Ito	167321600	\N	0C0519C4	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ATT7UH4X	2006/Dec/04	10.9	\N	\N
113	The Murder Case of the White Sands	FakeEnglishGuys	182580987	\N	C55989EC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U0P4BQYK	1998/Aug/17	18.4	\N	\N
259	The Man from Chicago (Part 2)	Kaizou	180548052	\N	C1C1D598	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MWWS4N9L	2001/Nov/26	18.2	\N	\N
265	The Courtroom Battle: Kisaki VS Kogoro (Part 2)	Yami	203897004	\N	D5A317D1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=XM6IVT6D	2002/Jan/21	21.3	\N	\N
370	Running Away in a Game	KnKF	184139776	\N	9E9786BD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NL3US52R	2004/Aug/09	11.5	\N	\N
368	The Candy House the Witch Lives In	KnKF	183898112	\N	8AAEED40	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=E4E0TFYF	2004/Jul/26	12.7	\N	\N
116	The Missing Mystery Writer Case (Part 1)	FakeEnglishGuys	182421424	\N	1AEB0366	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=BGZRJMCU	1998/Sep/14	19.7	\N	\N
518	The Meiji Restoration Mystery Tour (Part 1: Investigation Chapter)	DCTP	180396032	\N	113F4C02	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=58ZGXWIB	2008/Dec/01	8.8	\N	\N
223	And Then There Were No Mermaids (Part 2: The Deduction)	DCTP	360525824	\N	1388584C	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VVHLEWU5 (Contains 222, 223 and 224)	2001/Feb/05	19.6	\N	\N
300	Kanmon Strait of Friendship & Murderous Intent (Part 2)	FakeEnglishGuys	709463692	\N	2D211356	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DJXNIH0Y (Contains both 299 and 300)	2002/Nov/18	15.3	\N	\N
304	Trembling Metropolitan Police Headquarters, 12 Million Hostages (2 Hour Special)	DCTP	699832320	\N	56216D8A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=CVMH6EUM	2003/Jan/06	17	\N	\N
311	Contact with the Black Organization (Part 3: The Desperation)	Kaizou	222291968	\N	04177903	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=88XPXWAC	2003/Feb/24	16.4	\N	\N
313	Festival Dolls Dyed in the Setting Sun (Part 2)	FakeEnglishGuys	177433959	\N	41F53F29	/msg [DCTP]Archive xdcc send 1	\N	2003/Mar/10	14.3	\N	\N
332	Suspicious Curry (Part 2)	AZFS	145289716	\N	82027A13	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=XWST5AIF	2003/Aug/18	15	\N	Please join #AZFS if you are not already there
238	The Osaka 3 "K" Case (Part 1)	DCTP	179441664	\N	BB1D048A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GEV36P9H	2001/Jun/18	17.3	\N	\N
123	The Weather Girl Kidnapping Case	FakeEnglishGuys	182072789	\N	F8C41279	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=99U6C3TS	1998/Nov/09	21.7	\N	\N
474	The Love of Lawyer Kisaki Eri	DCTP	180359168	\N	967EDEF0	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=KM1FLOI7	2007/Jun/04	8.6	\N	\N
482	The Cutlery of the Mountain Witch (Part 2)	\N	\N	\N	\N	\N	\N	2007/Aug/06	8.2	\N	\N
485	The Location of the Black Photograph (Part 2)	DCTP	180389888	\N	281B2896	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UYIIYSE0 (GinRei) | http://www.megaupload.com/?d=7Z5OL2QW (DCTP)	2007/Aug/27	7.7	\N	\N
497	Clash of Red and Black: Awakening	DCTP	244007427	\N	8D7E2EBB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NXMFSF0P	2008/Feb/25	9.8	\N	\N
504	Clash of Red and Black: Killed in the Line of Duty	DCTP	180396668	\N	4BCB1005	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=SDCPOACC	2008/May/19	8.1	\N	\N
513	Coffee Aroma's Murderous Intent (Part 1)	DCTP	180342784	\N	3E0355DB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=68G42943	2008/Sep/01	9.3	\N	\N
375	A Code for Star and Tabacco (Part 2)	KnKF	181399552	\N	3DA3D7BF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L5L4EO0T	2004/Oct/25	14.4	\N	\N
126	The Traveling Drama Murder Case (Part 1)	FakeEnglishGuys	182044842	\N	84978245	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HSEQMVFV	1998/Nov/30	20.1	\N	\N
253	The Metropolitan Police Detective Love Story 4 (Part 1)	Kaizou	180856942	\N	5B9C6D5D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=7QGN63K6	2001/Oct/15	17.3	\N	\N
519	The Meiji Restoration Mystery Tour (Part 2: Deciphering Chapter)	DCTP	180436992	\N	67CA3A32	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=GWMG9826	2008/Dec/08	7.7	\N	\N
532	The Scar of First Love	DCTP	180389888	\N	B79B926D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=WXITKRFB	2009/May/02	5.9	\N	\N
275	Truth About the Haunted House (Part 2)	FakeEnglishGuys	126320724	\N	ED7221EF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=VB5ZY6FD	2002/Apr/22	18.3	\N	\N
277	English Teacher VS Great Western Detective (Part 1)	Kaizou	180994048	\N	A1BE301B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZA2HZBLW	2002/May/13	17.7	\N	\N
383	Miracle at Koshien Ball Park! The Defiants Face the Dark Demon (2 Hour Special)	Kaizou	732860416	\N	5B322B97	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=JAF94ZUV	2004/Dec/20	12.5	\N	\N
127	The Traveling Drama Murder Case (Part 2)	FakeEnglishGuys	182142283	\N	46E5E6BD	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=TTHPOEWH	1998/Dec/07	21.3	\N	\N
283	Mystery of the Water Flowing Stone Garden (Part 2)	FakeEnglishGuys	186852820	\N	89541D88	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=H3TMIJVS	2002/Jun/24	16.6	\N	\N
473	Adventure of Young Kudo Shinichi (Part 2)	DCTP	180348928	\N	3BF6B43B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UJYJ1GCQ	2007/May/21	11	\N	\N
119	Masked Yaiba Murder Case	FakeEnglishGuys	182380557	\N	70E98E76	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=IREV0RM0	1998/Oct/12	18	\N	\N
319	Cigar Case of Good Fortune (Part 2)	FakeEnglishGuys	346566656	\N	EB241094	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6CGO3TL4	2003/May/12	15.1	\N	\N
334	Alike Princesses (Part 2)	NEG	180940800	\N	681D5915	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=U16ZUQLK	2003/Sep/01	15	\N	\N
354	A Small Client (Part 1)	DCTP	180838400	\N	66FF93DB	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=ZOCGC4G0	2004/Mar/08	14.1	\N	\N
220	The Client Full of Lies (Part 1)	DCTP	360206336	\N	0AC8F430	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=17C0PMYZ (Contains both 220 and 221)	2001/Jan/15	17.5	\N	\N
484	The Location of the Black Photograph (Part 1)	DCTP	180363264	\N	65F4D5BF	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8WWW9DN2 (GinRei) | http://www.megaupload.com/?d=07ZRZBTZ (DCTP)	2007/Aug/20	8.2	\N	\N
120	A Honey Cocktail Murder Case	FakeEnglishGuys	182917556	\N	9A8E54EC	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MZP2XY1Z	1998/Oct/19	18.2	\N	\N
479	Three Days with Hattori Heiji (2 Hour Special)	DCTP	733995008	\N	E4400147	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=6M9PQWGD	2007/Jul/16	10.5	\N	\N
285	Chinatown Deja Vu in the Rain (Part 2)	FakeEnglishGuys	236826556	\N	A055891F	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=764GWVLQ	2002/Jul/08	17.5	\N	\N
10	Pro Soccer Player Blackmail Case	Anime-Conan	225646592	\N	495E2C38	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=9HT6EUIM (filename is wrong)	1996/Mar/11	13.7	\N	\N
76	Conan VS Kaitou Kid (1 Hour Special)	Anime-Conan	360649050	\N	1D551AE9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=E9R1D8D3	1997/Sep/22	21.7	\N	\N
121	A Locked Bathroom Case (Part 1)	FakeEnglishGuys	182186986	\N	63C96075	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=NO6STHO0	1998/Oct/26	20.9	\N	\N
122	A Locked Bathroom Case (Part 2)	FakeEnglishGuys	181831199	\N	29A37E93	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=3EZ7GN96	1998/Nov/02	20	\N	\N
125	A Mysterious Sniper Murder Case (Part 2)	FakeEnglishGuys	182345059	\N	A4940328	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=26JRC4UV	1998/Nov/23	16.4	\N	\N
213	Mushrooms, Bears, and the Detective Boys (Part 2)	BG/DCF	371180708	\N	CA243F6D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=L9CS3D3U (Contains both 212 and 213)	2000/Nov/13	19.7	\N	\N
217	Megure's Locked Away Secret	\N	\N	\N	\N	\N	\N	2000/Dec/11	19.2	\N	\N
218	Megure's Locked Away Secret	\N	\N	\N	\N	\N	\N	2000/Dec/18	18.1	\N	\N
244	Mori Kogoro's Imposter (Part 2)	\N	\N	\N	\N	\N	\N	2001/Jul/30	18.4	\N	\N
245	The Gunshot in the Sunflower Building	\N	\N	\N	\N	\N	\N	2001/Aug/06	18.2	\N	\N
246	The Mystery in the Net (Part 1)	\N	\N	\N	\N	\N	\N	2001/Aug/13	13.6	\N	\N
247	The Mystery in the Net (Part 2)	\N	\N	\N	\N	\N	\N	2001/Aug/20	19.6	\N	\N
248	The Alibi of the Soothing Forest	\N	\N	\N	\N	\N	\N	2001/Aug/27	19.3	\N	\N
251	The Tragedy at the OK Corral	\N	\N	\N	\N	\N	\N	2001/Sep/17	19.4	\N	\N
252	The Kidnapper in the Picture	\N	\N	\N	\N	\N	\N	2001/Oct/08	17.5	\N	\N
255	The 14th Round of the Matsue Tamazo Linked Verse Contest (Part 1)	\N	\N	\N	\N	\N	\N	2001/Oct/29	19.3	\N	\N
256	The 14th Round of the Matsue Tamazo Linked Verse Contest (Part 2)	\N	\N	\N	\N	\N	\N	2001/Nov/05	18.6	\N	\N
257	The Mysterious Punishment from Heaven	\N	\N	\N	\N	\N	\N	2001/Nov/12	19.6	\N	\N
261	The Fearful Legend of the Snowy Night (Part 1)	\N	\N	\N	\N	\N	\N	2001/Dec/10	19.5	\N	\N
262	The Fearful Legend of the Snowy Night (Part 2)	\N	\N	\N	\N	\N	\N	2001/Dec/17	18.8	\N	\N
269	The Forgotten Memento from the Crime (Part 1)	\N	\N	\N	\N	\N	\N	2002/Feb/18	18.7	\N	\N
270	The Forgotten Memento from the Crime (Part 2)	\N	\N	\N	\N	\N	\N	2002/Mar/04	19.7	\N	\N
282	Mystery of the Water Flowing Stone Garden (Part 1)	FakeEnglishGuys	176823723	\N	B8D899D1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HNLUJO3Y	2002/Jun/17	16.5	\N	\N
299	Kanmon Strait of Friendship & Murderous Intent (Part 1)	FakeEnglishGuys	709463692	\N	2D211356	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DJXNIH0Y (Contains both 299 and 300)	2002/Nov/04	16.3	\N	\N
315	Place Exposed to the Sun	FakeEnglishGuys	173154304	\N	F380B226	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=PHPSY893	2003/Apr/14	14.9	\N	\N
318	Cigar Case of Good Fortune (Part 1)	FakeEnglishGuys	346566656	\N	EB241094	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=72XYEASG	2003/May/05	14.6	\N	\N
320	Art of Ninja Alibi Craft	FakeEnglishGuys	172916736	\N	E58B1EF3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=S44KXECM	2003/May/19	13.4	\N	\N
321	The Vanished Kidnapper's Getaway Car (Part 1)	FakeEnglishGuys	346609664	\N	B45AAD07	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DNE9WRL9	2003/May/26	14.2	\N	\N
322	The Vanished Kidnapper's Getaway Car (Part 2)	FakeEnglishGuys	346609664	\N	B45AAD07	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=E4RNWHZO	2003/Jun/02	14.1	\N	\N
337	Hidden Circumstances of the Falling Incident	FakeEnglishGuys	173162496	\N	2783AE3A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=I8NQUY1J	2003/Oct/13	14.7	\N	\N
348	Love, a Ghost and a Wordly Inheritance (Part 1)	FakeEnglishGuys	321427456	\N	58A580B3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=MH1X8CCN	2004/Jan/26	13.5	\N	\N
349	Love, a Ghost and a Wordly Inheritance (Part 2)	FakeEnglishGuys	321427456	\N	58A580B3	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LNYW75PQ	2004/Feb/02	13.4	\N	\N
350	The Forgetten Cellphone (Part 1)	FakeEnglishGuys	361187103	\N	103D4EEE	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=O416WOOB	2004/Feb/09	14.1	\N	\N
351	The Forgetten Cellphone (Part 2)	FakeEnglishGuys	361187103	\N	103D4EEE	/msg [DCTP]Archive xdcc send 1	\N	2004/Feb/16	12.2	\N	\N
352	Fishing Tournament Tragedy (Part 1)	FakeEnglishGuys	321583104	\N	F8E997A2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=8IF05JEC	2004/Feb/23	13.6	\N	\N
353	Fishing Tournament Tragedy (Part 2)	FakeEnglishGuys	321583104	\N	F8E997A2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=LOL7R0VF	2004/Mar/01	13.8	\N	\N
391	The Metropolitan Police Detective Love Story 6 (Part 2)	DCTP	181876736	\N	BF83A6D1	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EOFBO0RD	2005/Mar/07	11.5	\N	\N
405	The Man Who Went to Call For an Ambulance	B-Org	181150852	\N	546F4B5D	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=Y0OD3QLD | http://www.megaupload.com/?d=PYJ7JK0Q (HQ by TheQuyen)	2005/Jul/04	13	\N	\N
430	Two People Who Can't Return Yet (Part 2)	Kaizou	184145920	\N	C84B3664	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=4GUWAEIM	2006/Feb/13	9.7	\N	\N
458	Sonoko's Red Handkerchief (Part 2)	Kaizou	181135360	\N	9B4BC73A	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=UZT5PLW7	2006/Nov/27	8.2	\N	\N
490	Hattori Heiji VS Kudo Shinichi, Deduction Showdown at Ski Slope (1 Hour Special)	DCTP	488596150	\N	FC50E0A2	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=R1AM2OAW	2007/Dec/03	8.8	\N	\N
46	The Snowy Mountain Villa Murder Case	Anime-Conan	176178300	\N	163C4C11	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HC4CLV66	1997/Feb/03	18	\N	\N
93	The Fearful Mountain Trek Murder Case (Part 2)	Anime-Conan	180350282	\N	93754999	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=EN758PSF	1998/Mar/02	19.9	\N	\N
111	Cooking Classroom Murder Case (Part 2)	FakeEnglishGuys	178172952	\N	CD8D2482	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=HJ3GA7WW (Atticus) | http://www.megaupload.com/?d=DV9AUL8S (DCF)	1998/Aug/03	18	\N	\N
209	The Falling from Mt. Ryuujin Case	AZFS	179810304	\N	E259CFCF	/msg [AZFS]Releases xdcc list	http://www.megaupload.com/?d=0HA1RB6M	2000/Oct/16	18.9	\N	Please join #AZFS if you are not already there
345	Head-to-Head Match With Black Organization, Two Mysteries on the Night of a Full Moon (2.5 Hour Special)	Kaizou	731848942 & 731696622	\N	48D4549B & 1BF6B09E	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=DNE6LPTU (Part 1) | http://www.megaupload.com/?d=LAOOK4BH (Part 2)	2004/Jan/05	16.7	\N	\N
404	The Mysterious Angel's Mansion (Part 2)	B-Org	181170602	\N	F2905876	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=94ORX99H | http://www.megaupload.com/?d=84PV9NDD (HQ by TheQuyen)	2005/Jun/27	11	\N	\N
502	Clash of Red and Black: Innocence	DCTP	180296428	\N	15981E4B	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=2T3F110W	2008/Apr/28	9.6	\N	\N
284	Chinatown Deja Vu in the Rain (Part 1)	FakeEnglishGuys	259248840	\N	A9A544F9	/msg [DCTP]Archive xdcc send 1	http://www.megaupload.com/?d=38IC7KC9	2002/Jul/01	17.3	\N	\N
\.


--
-- TOC entry 1760 (class 2606 OID 835699)
-- Dependencies: 1491 1491
-- Name: episodeinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY episodeinfo
    ADD CONSTRAINT episodeinfo_pkey PRIMARY KEY (eid);


-- Completed on 2009-06-04 11:44:20 EDT

--
-- PostgreSQL database dump complete
--

